IPC_CHECK_PERMS(9)

NAME
ipc_check_perms - check security and permissions for an ipc object

SYNOPSIS

int ipc_check_perms(struct ipc_namespace * ns, struct kern_ipc_perm * ipcp, const struct ipc_ops * ops, struct ipc_params * params);

ARGUMENTS

ns
    ipc namespace

ipcp
    ipc permission set

ops
    the actual security routine to call

params
    its parameters

DESCRIPTION

This routine is called by sys_msgget, sys_semget and sys_shmget when the key is not IPC_PRIVATE and that key already exists in the ds IDR.

On success, the ipc id is returned.

It is called with ipc_ids.rwsem and ipcp->lock held.

COPYRIGHT